All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
testing::Test Class Referenceabstract

## Public Types

typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc

## Static Public Member Functions

static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const std::string &key, const std::string &value)
static void | RecordProperty (const std::string &key, int value)

## Protected Member Functions

virtual void | SetUp ()
virtual void | TearDown ()

## Friends

class | TestInfo

## Detailed Description

Definition at line 371 of file gtest.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/gtest.h